<?php defined('SYSTEM_PATH') || die('No direct script access allowed.');

// "application/controllers/cp/system/config/settings/advancedfeedback.php"

// Extend "CP_System_Config_Settings_Controller" controller that contains all necessary functionality
// to display and save plugin settings. All we have to do here is add som basic information to
// the controller
class CP_System_Config_Settings_AdvancedFeedback_Controller extends CP_System_Config_Settings_Controller
{
	public function __construct()
	{
		parent::__construct();

		// Does user have permission to access this plugin?
		if ( !session::permission('settings_manage', 'advancedfeedback') )
		{
			view::noAccess();
		}

		// This will highlight the "Content" tab in the top navigation bar
		view::setCustomParam('section', 'content');

		// This will display navigation links we've added in the
		// "navigation.php" resource file ("settings" and "custom fields")
		view::setCustomParam('options', config::item('cp_top', 'navigation', 'content', 'links', 'content_advancedfeedback', 'links'));

		// Display current location in the "trail" navigation (right under the top navigation bar)
		view::setTrail('cp/system/plugins', __('content', 'system'));
		// The reason we add / at the end of this URI is to prevent duplicate key that's already used in
		// the CP_System_Config_System_Controller to diplay a link to "settings" page in the trail
		view::setTrail('cp/system/config/advancedfeedback', __('advanced_feedback', 'advancedfeedback'));

		// Action hook in case someone else wants to add functionality to this plugin
		hook::action('system/controller/cp_system_config_advancedfeedback');
	}
}
