<?php defined('SYSTEM_PATH') || die('No direct script access allowed.');

// "application/plugins/advancedfeedback/install/languages/english.php"

// common language items used throughout the plugin files such as controllers and views
$language = array(
	'advancedfeedback' => array(
		'advancedfeedback' => array(
			'ca' => array( // available on the front end of the site and control panel
				'advanced_feedback' => "Advanced feeback",
				'sender_email' => "Your email",
				'sender_name' => "Your name",
				'message_sent' => "Message has been successfully sent, thank you!",
			)
		)
	)
);

// items for fields.php file
$fields = array(
	0 => array( // field section ID
		'email' => array(
			'name' => "Email",
		),
		'subject' => array(
			'name' => "Subject",
			'items' => array( // 4 items for our drop down box
				array(
					'name' => "Advertising",
				),
				array(
					'name' => "Sales questions",
				),
				array(
					'name' => "Techical support",
				),
				array(
					'name' => "Other",
				),
			),
		),
		'message' => array(
			'name' => "Message",
		)
	)
);

// items for meta_tags.php file
$meta_tags = array(
	'advancedfeedback_index' => array(
		'name' => "Contact form",
		'meta_title' => "Get in touch with us",
		'meta_description' => "We love feedback, get in touch with us today!"
	)
);

// items for permissions.php file
// we don't have language items for 'settings_manage' and 'fields_manage' settings,
// it's because we already have those in the software "system" plugin
$permissions = array(
	'feedback_access' => "Access feedback form"
);

// items for config.php file
// note that we don't have language items for 'captcha' setting, it's because we already have it in
// the software "system" plugin so we don't need to include it again to prevent duplicate content and
// extra time for translating the software
$config = array(
	'active' => "Enable feedback form",
	'captcha' => "Security captcha",
	'email' => "Feedback email"
);

// items for navigation.php file
$navigation = array(
	'cp_top' => array( // available in the control panel only, these match keywods in the navigation.php file
		'content_advancedfeedback' => "Advanced feedback",
		'content_advancedfeedback_fields' => "Custom fields",
		'content_advancedfeedback_settings' => "Settings"
	),
	'site_bottom' => array( // available on the front end of the site and control panel
		'getintouch' => "Get in touch"
	)
);
